This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 462976 - [LTC 6.0 FEAT] 201674:Pick up latest version of s390-tools
[LTC 6.0 FEAT] 201674:Pick up latest version of s390-tools
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: s390utils (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Dan Horák
Yulia Kopkova
: FutureFeature, OtherQA, Rebase
: 463208 463212 463215 463536 463560 463561 463676 463688 463707 463806 463812 463822 463823 463826 484298 (view as bug list)
Depends On: 458826
Blocks: 356741 463208 463212 463213 463215 463536 463560 554559
  Show dependency treegraph
 
Reported: 2008-09-19 18:21 EDT by IBM Bug Proxy
Modified: 2011-12-06 10:51 EST (History)
9 users (show)

See Also:
Fixed In Version: s390utils-1.8.2-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 08:42:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
s390-tools-1.8.1-v1.tar.bz2 (455.36 KB, application/octet-stream)
2009-03-02 11:51 EST, IBM Bug Proxy
no flags Details

  None (edit)
Description IBM Bug Proxy 2008-09-19 18:21:22 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:21 EDT
1. Feature Overview:
Feature Id:	[201674]
a. Name of Feature:	Pick up latest version of s390-tools
b. Feature Description
The s390-tools is a package with a set of user space utilities to be used with the Linux on System z
distributions.    It is available in IBM's developerworks site: 
http://www.ibm.com/developerworks/linux/linux390/s390-tools.html

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Installer: Yes
Delivery Mechanism: Direct from community
Category:	RAS
Request Type:	Package - Update Version
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	

3. Business Case
This tools are needed to make use of and configure the features exploiting System z arch., so they
are critical since without them the system cannot even get properly installed or service.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Dan Horák 2008-09-20 03:02:43 EDT
An updated package is already prepared for inclusion into Fedora, so it will be ready when RHEL6 will be branched from Fedora.
Comment 2 IBM Bug Proxy 2009-03-02 11:51:02 EST
Created attachment 333761 [details]
s390-tools-1.8.1-v1.tar.bz2


------- Comment (attachment) From michael.holzheu@de.ibm.com 2009-03-02 11:48 EDT-------


First version of the s390-tools-1.8.1 upstream package.
Comment 4 Dan Horák 2009-07-28 09:55:42 EDT
s390utils 1.8.1 are built in Fedora

https://s390.koji.fedoraproject.org/koji/buildinfo?buildID=12354
Comment 5 Denise Dumas 2009-09-17 13:49:00 EDT
*** Bug 463822 has been marked as a duplicate of this bug. ***
Comment 6 John Jarvis 2009-09-17 14:01:50 EDT
*** Bug 463208 has been marked as a duplicate of this bug. ***
Comment 7 John Jarvis 2009-09-17 14:02:35 EDT
*** Bug 463212 has been marked as a duplicate of this bug. ***
Comment 8 John Jarvis 2009-09-17 14:03:23 EDT
*** Bug 463215 has been marked as a duplicate of this bug. ***
Comment 9 John Jarvis 2009-09-17 14:05:01 EDT
*** Bug 463536 has been marked as a duplicate of this bug. ***
Comment 10 John Jarvis 2009-09-17 14:05:42 EDT
*** Bug 463560 has been marked as a duplicate of this bug. ***
Comment 11 John Jarvis 2009-09-17 14:06:16 EDT
*** Bug 463561 has been marked as a duplicate of this bug. ***
Comment 12 John Jarvis 2009-09-17 14:07:31 EDT
*** Bug 463676 has been marked as a duplicate of this bug. ***
Comment 13 John Jarvis 2009-09-17 14:09:34 EDT
*** Bug 463707 has been marked as a duplicate of this bug. ***
Comment 14 John Jarvis 2009-09-17 14:10:32 EDT
*** Bug 463688 has been marked as a duplicate of this bug. ***
Comment 15 John Jarvis 2009-09-17 14:11:03 EDT
*** Bug 463806 has been marked as a duplicate of this bug. ***
Comment 16 John Jarvis 2009-09-17 14:11:18 EDT
*** Bug 463812 has been marked as a duplicate of this bug. ***
Comment 17 John Jarvis 2009-09-17 14:11:35 EDT
*** Bug 463823 has been marked as a duplicate of this bug. ***
Comment 18 John Jarvis 2009-09-17 14:11:53 EDT
*** Bug 463826 has been marked as a duplicate of this bug. ***
Comment 19 John Jarvis 2009-09-17 14:12:19 EDT
*** Bug 484298 has been marked as a duplicate of this bug. ***
Comment 20 John Jarvis 2009-10-15 10:55:12 EDT
IBM is signed up to test and provide feedback
Comment 22 releng-rhel@redhat.com 2009-11-04 08:29:05 EST
Fixed in 's390utils-1.8.2-1.el6', included in compose 'RHEL6.0-20091103.0'.
Moving to ON_QA.
Comment 25 IBM Bug Proxy 2010-06-08 10:41:34 EDT
------- Comment From mgrf@de.ibm.com 2010-06-08 10:36 EDT-------
This feature is verified on R6 snapshots with the following bug reported
LTC 61080   -  RIT551313- vmconvert: Progress bar shows garbage
that is verified OK and closed

Set feature to verified - thx
Comment 26 John Jarvis 2010-06-08 10:57:34 EDT
Flipping  Verified flag based on IBM's June 8 test feedback
Comment 27 IBM Bug Proxy 2010-06-23 08:51:00 EDT
------- Comment From mgrf@de.ibm.com 2010-06-23 08:42 EDT-------
This feature is verified on R6 snapshots
Set feature to "verified"  Thx
Comment 28 John Jarvis 2010-06-23 09:22:23 EDT
Setting Verified flag based on IBM's feedback
Comment 29 IBM Bug Proxy 2010-07-02 03:03:00 EDT
------- Comment From mgrf@de.ibm.com 2010-07-02 02:52 EDT-------
Comment 30 IBM Bug Proxy 2010-07-02 03:50:49 EDT
------- Comment From mgrf@de.ibm.com 2010-07-02 03:40 EDT-------
Comment 31 IBM Bug Proxy 2010-07-06 09:41:47 EDT
------- Comment From mgrf@de.ibm.com 2010-07-06 09:21 EDT-------
Comment 32 Chris Ward 2010-07-12 08:42:35 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. One or more confirmation reports have already been received confirming this. This report is therefore being closed with a resolution of CURRENTRELEASE. You may reopen this bug report if the solution does not work for you.
Comment 33 IBM Bug Proxy 2010-07-23 05:31:09 EDT
------- Comment From mgrf@de.ibm.com 2010-07-23 05:29 EDT-------
Comment 34 IBM Bug Proxy 2010-08-02 03:51:05 EDT
------- Comment From mgrf@de.ibm.com 2010-08-02 03:45 EDT-------
Comment 35 IBM Bug Proxy 2010-08-16 02:50:58 EDT
------- Comment From mgrf@de.ibm.com 2010-08-16 02:46 EDT-------
This feature is verified on R6 snapshots - set status to verified
Comment 36 IBM Bug Proxy 2010-08-17 03:21:21 EDT
------- Comment From mgrf@de.ibm.com 2010-08-17 03:19 EDT-------
Comment 37 IBM Bug Proxy 2010-08-19 08:21:42 EDT
------- Comment From mgrf@de.ibm.com 2010-08-19 08:18 EDT-------
Comment 38 IBM Bug Proxy 2010-09-06 05:42:04 EDT
------- Comment From mgrf@de.ibm.com 2010-09-06 05:32 EDT-------
Verified on RHEL6 snapshots  - set feature to verified   Thx
Comment 39 IBM Bug Proxy 2010-09-09 07:51:30 EDT
------- Comment From mgrf@de.ibm.com 2010-09-09 07:43 EDT-------
This is  verified on R6 snapshots
set feature to verified
Comment 40 IBM Bug Proxy 2010-09-16 09:41:03 EDT
------- Comment From mgrf@de.ibm.com 2010-09-16 09:38 EDT-------
The verification of this feature is blocked until the fix for this BZ get provided,
66663   -  RIT1300543 - [REGRESSION] Kernel Memory dump to a FCP device fails with panic

The fix is requested to be part of the very first R6.z.stream update
Comment 41 IBM Bug Proxy 2010-09-29 04:51:47 EDT
------- Comment From gmuelas@de.ibm.com 2010-09-29 04:45 EDT-------
This feature is verified ok.
Comment 42 IBM Bug Proxy 2010-09-29 05:11:33 EDT
------- Comment From gmuelas@de.ibm.com 2010-09-29 05:09 EDT-------
Comment 43 IBM Bug Proxy 2010-09-29 06:20:47 EDT
------- Comment From gmuelas@de.ibm.com 2010-09-29 06:11 EDT-------
Comment 44 IBM Bug Proxy 2010-09-29 08:51:30 EDT
------- Comment From gmuelas@de.ibm.com 2010-09-29 08:46 EDT-------
This feature is still being verified, but we do not expect any issues here and
will be verified before GA.
Comment 45 IBM Bug Proxy 2010-09-29 09:02:32 EDT
------- Comment From gmuelas@de.ibm.com 2010-09-29 08:50 EDT-------
The verification of this feature is working for DASD, but for SCSI is blocked
by the fact that SCSI dump is not working:
IBM LTC Bug 66663   -  RIT1300543 - [REGRESSION] Kernel Memory dump to a FCP
device fails with panic
RH Bug 626956 - Kernel Memory dump to a FCP device fails with panic

So for the time being the feature verification is blocked.
Comment 46 IBM Bug Proxy 2010-10-21 03:41:30 EDT
------- Comment From mgrf@de.ibm.com 2010-10-21 03:34 EDT-------
Feature is verified on RHEL 6 snapshots - set status to verified

Note You need to log in before you can comment on or make changes to this bug.